Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor Class Reference

## Public Member Functions
| SimpleHOGbinExtractor ()
| SimpleHOGbinExtractor (int threshold)
String | extractProperies (HOG hogTest)

## Private Member Functions
int[] | computeBinCount (HOG hog, int threshold)

## Private Attributes
int | threshold

## Detailed Description

Extract an array with size x bins (class computes size of each bin)

Author
  xnovak68

Definition at line 9 of file SimpleHOGbinExtractor.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.SimpleHOGbinExtractor | ( |  | ) |

Definition at line 12 of file SimpleHOGbinExtractor.java.

cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.SimpleHOGbinExtractor | ( | int | threshold | ) |

Parameters

  threshold |

Definition at line 19 of file SimpleHOGbinExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.threshold.

## Member Function Documentation

int [] cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.computeBinCount | ( | HOG | hog,
|  | int | threshold
| ) |  |
| private

Computes how many elements each bin have

Parameters

  hog |
  threshold |

Returns

Definition at line 56 of file SimpleHOGbinExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.extractProperies().

String cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.extractProperies | ( | HOG | hogTest | ) |

Return HOG properties

Parameters

  hogTest |

Returns

Definition at line 28 of file SimpleHOGbinExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.computeBinCount(), and cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.threshold.

Here is the call graph for this function:

## Member Data Documentation

int cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.threshold
| private

Definition at line 11 of file SimpleHOGbinExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHOGbinExtractor.SimpleHOGbinExtractor().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/extractors/SimpleHOGbinExtractor.java